Package org.apache.felix.bundleplugin

# Class ScrPlugin

java.lang.Object
org.apache.felix.bundleplugin.ScrPlugin

All Implemented Interfaces:
  `aQute.bnd.service.AnalyzerPlugin`, `aQute.bnd.service.OrderedPlugin`

@Deprecated public class ScrPlugin extends Object implements aQute.bnd.service.AnalyzerPlugin
Deprecated.
bnd generates these as well.
Create capabilities for DS components

## Constructor Summary

Constructors
Constructor
Description
`ScrPlugin()`
Deprecated.

## Method Summary

Modifier and Type
Method
Description
`Set<String>`
`analyze(InputStream in)`
Deprecated.
`boolean`
`analyzeJar(aQute.bnd.osgi.Analyzer analyzer)`
Deprecated.
`protected Transformer`
`getTransformer(URL url)`
Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface aQute.bnd.service.OrderedPlugin

`ordering`

## Constructor Details

### ScrPlugin

public ScrPlugin() throws Exception
Deprecated.

Throws:
  `Exception`

## Method Details

### analyzeJar

public boolean analyzeJar(aQute.bnd.osgi.Analyzer analyzer) throws Exception
Deprecated.

Specified by:
  `analyzeJar` in interface `aQute.bnd.service.AnalyzerPlugin`
Throws:
  `Exception`

### analyze

public Set<String> analyze(InputStream in) throws Exception
Deprecated.

Throws:
  `Exception`

### getTransformer

protected Transformer getTransformer(URL url) throws Exception
Deprecated.

Throws:
  `Exception`